### Property

# Snapd AutorefreshChangeData:snap-names

since: 1.65

#### Declaration

    property snap-names: string[] [ read, write, construct-only ]

#### Description [src]

Contains the list of snaps that have a pending update but are inhibited because they have a running program.

Type:An array of `char*`

Available since: 1.65

Getter method | `snapd_autorefresh_change_data_get_snap_names()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes